## org.apache.poi.hssf.converter
Class AbstractExcelConverter

    java.lang.Object
      org.apache.poi.hssf.converter.AbstractExcelConverter

Direct Known Subclasses:
  ExcelToFoConverter, ExcelToHtmlConverter

    @Beta
    public abstract class AbstractExcelConverter

extends java.lang.Object

Common class for `ExcelToFoConverter` and `ExcelToHtmlConverter`

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)
See Also:
  `AbstractWordConverter`

Field Summary
`protected HSSFDataFormatter` `_formatter`

Constructor Summary
`AbstractExcelConverter()`

Method Summary
`protected java.lang.String` `getColumnName(int columnIndex)` Generates name for output as column header in case ``isOutputColumnHeaders()` == true`
`protected static int` `getColumnWidth(HSSFSheet sheet, int columnIndex)`
`protected static int` `getDefaultColumnWidth(HSSFSheet sheet)`
`protected abstract org.w3c.dom.Document` `getDocument()`
`FontReplacer` `getFontReplacer()`
`protected java.lang.String` `getRowName(HSSFRow row)` Generates name for output as row number in case ``isOutputRowNumbers()` == true`
`boolean` `isOutputColumnHeaders()`
`boolean` `isOutputHiddenColumns()`
`boolean` `isOutputHiddenRows()`
`boolean` `isOutputLeadingSpacesAsNonBreaking()`
`boolean` `isOutputRowNumbers()`
`protected boolean` `isTextEmpty(HSSFCell cell)`
`void` `setFontReplacer(FontReplacer fontReplacer)`
`void` `setOutputColumnHeaders(boolean outputColumnHeaders)`
`void` `setOutputHiddenColumns(boolean outputZeroWidthColumns)`
`void` `setOutputHiddenRows(boolean outputZeroHeightRows)`
`void` `setOutputLeadingSpacesAsNonBreaking(boolean outputPrePostSpacesAsNonBreaking)`
`void` `setOutputRowNumbers(boolean outputRowNumbers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _formatter

    protected final HSSFDataFormatter _formatter

Constructor Detail

### AbstractExcelConverter

    public AbstractExcelConverter()

Method Detail

### getColumnWidth

    protected static int getColumnWidth(HSSFSheet sheet,
                                        int columnIndex)

### getDefaultColumnWidth

    protected static int getDefaultColumnWidth(HSSFSheet sheet)

### getColumnName

    protected java.lang.String getColumnName(int columnIndex)

  Generates name for output as column header in case ``isOutputColumnHeaders()` == true`

  Parameters:
    `columnIndex` - 0-based column index

### getDocument

    protected abstract org.w3c.dom.Document getDocument()

### getFontReplacer

    public FontReplacer getFontReplacer()

### getRowName

    protected java.lang.String getRowName(HSSFRow row)

  Generates name for output as row number in case ``isOutputRowNumbers()` == true`

### isOutputColumnHeaders

    public boolean isOutputColumnHeaders()

### isOutputHiddenColumns

    public boolean isOutputHiddenColumns()

### isOutputHiddenRows

    public boolean isOutputHiddenRows()

### isOutputLeadingSpacesAsNonBreaking

    public boolean isOutputLeadingSpacesAsNonBreaking()

### isOutputRowNumbers

    public boolean isOutputRowNumbers()

### isTextEmpty

    protected boolean isTextEmpty(HSSFCell cell)

### setFontReplacer

    public void setFontReplacer(FontReplacer fontReplacer)

### setOutputColumnHeaders

    public void setOutputColumnHeaders(boolean outputColumnHeaders)

### setOutputHiddenColumns

    public void setOutputHiddenColumns(boolean outputZeroWidthColumns)

### setOutputHiddenRows

    public void setOutputHiddenRows(boolean outputZeroHeightRows)

### setOutputLeadingSpacesAsNonBreaking

    public void setOutputLeadingSpacesAsNonBreaking(boolean outputPrePostSpacesAsNonBreaking)

### setOutputRowNumbers

    public void setOutputRowNumbers(boolean outputRowNumbers)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.